Get Custom Profiles

Get Custom Profiles
Get all custom profiles

Get all custom profiles

Request
URI
GET
https://{api_host}/suite-api/api/resources/profiles
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

The Collection of all custom profiles

Returns custom-profiles of type(s) application/json
"{\n  \"profiles\" : [ {\n    \"id\" : \"1187e741-e965-45eb-8410-f99f33bf54a7\",\n    \"name\" : \"Sample Custom Profile\",\n    \"description\" : \"Description of Custom Profile\",\n    \"objectType\" : {\n      \"adapterKind\" : \"VMWARE\",\n      \"resourceKind\" : \"VirtualMachine\"\n    },\n    \"custom-profile-metrics\" : [ {\n      \"metric\" : \"cpu\",\n      \"value\" : 117.49,\n      \"unit\" : \"mhz\"\n    }, {\n      \"metric\" : \"mem-alloc\",\n      \"value\" : 9999.0,\n      \"unit\" : \"kb\"\n    } ]\n  }, {\n    \"id\" : \"dd8ec82d-cbd3-4970-861c-16fea1d220c0\",\n    \"name\" : \"Sample Custom Profile\",\n    \"description\" : \"Description of Custom Profile\",\n    \"objectType\" : {\n      \"adapterKind\" : \"VMWARE\",\n      \"resourceKind\" : \"VirtualMachine\"\n    },\n    \"custom-profile-metrics\" : [ {\n      \"metric\" : \"cpu\",\n      \"value\" : 44.44,\n      \"unit\" : \"mhz\"\n    }, {\n      \"metric\" : \"mem-alloc\",\n      \"value\" : 88.88,\n      \"unit\" : \"kb\"\n    } ]\n  } ]\n}"
array of object
profiles
Optional

Collection of profile metrics


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/resources/profiles